
html {
  font-family:  'Inter', sans-serif;
}

body {
  background-color: #f3f5fc;
}


.principal {
  min-height: 75vh;
}

.logo {
  height: 10rem;
}

.d-flex {
  display: flex;
}

.d-none {
  display: none;
}

ol,
ul {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}

textarea,
textarea:hover,
textarea:focus,
input[type="button"],
input[type="button"]:hover,
input[type="button"]:focus {
  background: inherit;
  border:  none;
  color:  inherit;
  font: inherit;
  outline: none;
}

textarea {
  resize: none;
}
.flex-column {
  flex-direction: column;
}

.flex-row {
  flex-direction: row;
}

.flex-grow {
  flex-grow: 1;
}

#entrada {
  text-align: center;
  font-size: 2rem;
  max-width: 100%;
  margin: 2rem;
  color: #0a3871;
}

::placeholder {
  color: #7387a4;
}

.controles {
  padding: 1.5rem;
}

header {
  margin-top: 1.5rem;
  padding-left: 1rem;
}
html {
  box-sizing: border-box;
  font-size: 16px;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
  margin: 0;
  padding: 0;
  font-weight: normal;
}

.advertencia {
  height: 2rem;
  font-size: 1rem;
  justify-content: center;
  align-items: center;
}

input.button {
  color: #0A3871;
  border: solid 1px #0A3871;
  border-radius: 1.5rem;
  padding: 1rem;
  margin: 0.5rem 0px;
  cursor: pointer;
}

input.button:hover,
input.button:focus {
  background-color: #0A3871;
  color: #fff;
  border: solid 1px #000;
}

.barra-lateral {
  background-color: #fff;
  border: solid 1px #ddd;
  border-radius: 1rem;
  margin: 1rem;
  padding: 1rem;
  min-height: calc(25vh - 2rem);
  color: #495057;
}

.my-auto {
  margin-top: auto;
  margin-bottom: auto;
}

.info {
  text-align: center;
}
@media only screen and (min-width: 768px) {
  .d-md-flex {
    display:  flex;
  }

  .d-md-block {
    display: block;
  }

  .flex-md-column {
    flex-direction: column;
  }

  .flex-md-row {
    flex-direction: row;
  }

  .flex-md-grow {
    flex-grow: 1;
  }

  .principal {
    width: 70%;
  }

  .barra-lateral {
    width: 30%;
  }

  body {
    height: 100vh;
  }
}

.icon-info {
  width: 1rem;
  height: 1rem;
  display: inline-block;
  background: url('./img/exclamation.png');
  margin: 0px 0.5rem;
}

.info-txt strong{
  color: #343A40;
  font-size: 1.5rem;
  font-weight: bold;
}

.barra-lateral {
  position: relative;
}

.barra-lateral .button {
  position: absolute;
  visibility: hidden;
  top: 0.5rem;
  right: 0.5rem;
  border-radius: 0.5rem;
  padding: 0.5rem;
}

.barra-lateral.con-salida .button {
  visibility: visible;
}

.barra-lateral.con-salida .info {
  display:  none;
}

#salida {
  font-size: 1.5rem;
  max-width: 100%;
  word-break: break-all;
  overflow-y: auto;
}


@media only screen and (min-width: 375px) {
  .d-sm-flex {
    display:  flex;
  }

  .flex-sm-column {
    flex-direction: column;
  }

  .flex-sm-row {
    flex-direction: row;
  }

  .flex-sm-grow {
    flex-grow: 1;
  }

  input.button {
    border-radius: 1rem;
    margin: 0px 1rem;
  }

}

@font-face {
  font-family:  'Inter';
  src: url('./fonts/Inter-Light.ttf');
  font-weight: normal;
}

@font-face {
  font-family:  'Inter';
  src: url('./fonts/Inter-Bold.ttf');
  font-weight: bold;
}


